//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
//#include <DisComp.hpp>
#include <Grids.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TFMain : public TForm
{
__published:	// IDE-managed Components
        TButton *btnOpenCOM;
        TBitBtn *btnClose;
        TEdit *eReception;
        TLabel *lErrors;
        TBitBtn *btnShowErr;
        TLabel *lReceptioned;
        TLabel *lHCom;
        TEdit *eSendA;
        TBitBtn *btnSendText;
        TComboBox *cbSelectCOM;
        TButton *btnCloseCOM;
        TShape *Shape1;
        TShape *Shape2;
        TButton *btnDeleteR;
        TLabel *lText;
        TEdit *eHexReception;
        TEdit *eValueA;
        TLabel *Label1;
        TEdit *eValueH;
        TLabel *Label2;
        TButton *btnAddA;
        TButton *btnAddH;
        TEdit *eSendH;
        TButton *btnDeleteT;
        void __fastcall btnOpenCOMClick(TObject *Sender);
        void __fastcall btnShowErrClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnSendTextClick(TObject *Sender);
        void __fastcall btnCloseCOMClick(TObject *Sender);
        void __fastcall btnDeleteRClick(TObject *Sender);
        void __fastcall btnAddAClick(TObject *Sender);
        void __fastcall btnDeleteTClick(TObject *Sender);
        void __fastcall btnAddHClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TFMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFMain *FMain;
//---------------------------------------------------------------------------
#endif
